## org.apache.fop.render.awt
Class FontSetup

    java.lang.Object
      |
      +--org.apache.fop.render.awt.FontSetup

public class FontSetup
extends java.lang.Object

sets up the AWT fonts. It is similar to org.apache.fop.render.pdf.FontSetup. Assigns the font (with metrics) to internal names like "F1" and assigns family-style-weight triplets to the fonts

Constructor Summary
`FontSetup()`

Method Summary
`static void` `setup(FontInfo fontInfo, java.awt.Component parent)` sets up the font info object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FontSetup

    public FontSetup()

Method Detail

### setup

    public static void setup(FontInfo fontInfo,
                             java.awt.Component parent)

  sets up the font info object. adds metrics for basic fonts and useful family-style-weight triplets for lookup
  Parameters:
    `fontInfo` - the font info object to set up
    `parent` - needed, since a live AWT component is needed to get a valid java.awt.FontMetrics object

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.